Skip to main content
POST
/
v1
/
installs
/
{installSid}
/
exams
/
{examSid}
/
sessions
/
{sessionSid}
Schedule Exam Session
curl --request POST \
  --url http://api.dev.smarterproctoring.com/v1/installs/{installSid}/exams/{examSid}/sessions/{sessionSid} \
  --header 'Content-Type: application/json' \
  --header 'token: <api-key>' \
  --data '
{
  "type": "b-virtual",
  "notes": "<string>",
  "proctorLocationSid": "<string>",
  "messageSid": "<string>",
  "currency": "<string>",
  "amount": 1,
  "cardToken": "<string>",
  "voucherCode": "<string>",
  "company": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "<string>",
  "phone": "<string>",
  "address1": "<string>",
  "address2": "<string>",
  "place": "<string>",
  "region": "<string>",
  "country": "<string>",
  "locationLatitude": "<string>",
  "locationLongitude": "<string>",
  "postalCode": "<string>",
  "appointmentDateTime": "1970-01-01T00:00:00.000Z",
  "instructorProctorSid": "<string>",
  "externalAppointmentId": "<string>",
  "cancellationPolicyVersionSid": "<string>",
  "examLocale": "<string>",
  "proctorTypeSubCategorySid": "<string>"
}
'
{
  "sid": "<string>",
  "installSid": "<string>",
  "examSid": "<string>",
  "enrollmentSid": "<string>",
  "userSid": "<string>",
  "courseSid": "<string>",
  "instructorProctorSid": "<string>",
  "proctorTypeSid": "<string>",
  "cancellationPolicySid": "<string>",
  "cancellationPolicyVersionSid": "<string>",
  "status": "<string>",
  "statusReason": "<string>",
  "accessKey": "<string>",
  "duration": 123,
  "sessionType": "<string>",
  "schedulingModule": "<string>",
  "proctorReviewProcessSid": "<string>",
  "workflowModule": "<string>",
  "appointmentDate": "<string>",
  "appointmentEndDate": "<string>",
  "dateApproved": "<string>",
  "dateScheduled": "<string>",
  "createdDate": "<string>",
  "inProgressDate": "<string>",
  "externalAppointmentId": "<string>",
  "externalReservedAppointmentId": "<string>",
  "externalReservedAppointmentExpires": "<string>",
  "externalAppointmentSyncDate": "<string>",
  "editDate": "<string>",
  "notes": "<string>",
  "recordingStartDate": "<string>",
  "account": "<string>",
  "install": "<string>",
  "deployment": "<string>",
  "sessionReportCount": 123,
  "series": "<string>",
  "reviewByDate": "<string>",
  "reviewByUserSid": "<string>",
  "reviewCompletedDate": "<string>",
  "reviewRequired": true,
  "reviewCompleteNotificationUrl": "<string>",
  "reviewed": true,
  "proctorGroups": "<string>",
  "URL": "<string>",
  "examLocale": "<string>",
  "platformVersion": "<string>",
  "systemCheckStartDate": "<string>",
  "systemCheckEndDate": "<string>",
  "modalityOptions": "<string>",
  "exam": "<string>",
  "enrollment": "<string>",
  "course": "<string>",
  "examFile": "<string>",
  "returnedFile": "<string>",
  "photos": "<string>",
  "sessionInfo": "<string>",
  "auditStatus": "<string>",
  "examConfiguration": "<string>",
  "proctor": "<string>",
  "location": "<string>",
  "appointment": "<string>",
  "messagingConfirmations": [
    "<string>"
  ],
  "automated": "<string>",
  "interoadsProvisionedExamUrl": "<string>",
  "proctorGroupSid": "<string>",
  "mandatoryRoomScanVideo": true,
  "mutedAnnotations": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

token
string
header
required

Path Parameters

installSid
string
required

Install Sid

Pattern: ^AI[a-f0-9]{32}$
examSid
string
required

Exam Sid

Pattern: ^EX[a-f0-9]{32}$
sessionSid
string
required

Exam Session Sid

Pattern: ^ES[a-f0-9]{32}$

Body

application/json

The exam session schedule payload

type
enum<string>

Session type

Available options:
b-virtual,
ad-hoc,
instructor-as-proctor,
messaging,
register-blast,
vtc,
proctoru,
examity,
smarter-scheduling,
automated
notes
string

Notes regarding session

proctorLocationSid
string

The proctor location that is being scheduled for

Pattern: ^PL[a-f0-9]{32}$
messageSid
string

The Message Thread that is being scheduled for

Pattern: ^MT[a-f0-9]{32}$
currency
string

The 3 digit currency code

amount
number

The amount the session costs in the currency that was provided

Required range: x >= 0
cardToken
string

The Stripe token

voucherCode
string

If a voucher code is to be used for this transaction

company
string

The company name of the proctor

firstName
string

The first name of the proctor or testing center contact

lastName
string

The last name of the proctor or testing center contact

email
string

The email address of the proctor or testing center contact

phone
string

The phone number of the proctor or testing center contact

address1
string

Ad-hoc proctor address line 1

address2
string

Ad-hoc proctor address line 2

place
string

Ad-hoc proctor place

region
string

Ad-hoc proctor region

country
string

Ad-hoc proctor country

locationLatitude
string

Ad-hoc proctor location latitude

locationLongitude
string

Ad-hoc proctor location longitude

postalCode
string

Ad-hoc proctor postal code

appointmentDateTime
string
Pattern: .*Z
Example:

"1970-01-01T00:00:00.000Z"

instructorProctorSid
string

instructor as proctor sid

Pattern: ^CP[a-f0-9]{32}$
externalAppointmentId
string

External appointmentId for registarblast

cancellationPolicyVersionSid
string

If a cancellationPolicyVersionSid is to be used for this session

Pattern: ^CV[a-f0-9]{32}$
examLocale
string | null

Locale of the exam

proctorTypeSubCategorySid
string

The proctor type that is being scheduled.

Pattern: ^TS[a-f0-9]{32}$

Response

200 - application/json

Successful

sid
string | null

Session SID

installSid
string | null

Install SID

examSid
string | null

Exam SID

enrollmentSid
string | null

Enrollment SID

userSid
string | null

User SID

courseSid
string | null

Course SID

instructorProctorSid
string | null

Instructor proctor SID

proctorTypeSid
string | null

Proctor type SID

cancellationPolicySid
string | null

Cancellation policy SID

cancellationPolicyVersionSid
string | null

Cancellation policy version SID

status
string | null

Session status

statusReason
string | null

Status reason

accessKey
string | null

Access key

duration
number | null

Duration

sessionType
string | null

Session type

schedulingModule
string | null

Scheduling module

proctorReviewProcessSid
string | null

Proctor review process SID

workflowModule
string | null

Workflow module

appointmentDate
string | null

Appointment date

appointmentEndDate
string | null

Appointment end date

dateApproved
string | null

Date approved

dateScheduled
string | null

Date scheduled

createdDate
string | null

Created date

inProgressDate
string | null

In progress date

externalAppointmentId
string | null

External appointment ID

externalReservedAppointmentId
string | null

External reserved appointment ID

externalReservedAppointmentExpires
string | null

External reserved appointment expires

externalAppointmentSyncDate
string | null

External appointment sync date

editDate
string | null

Last modified date

notes
string | null

Notes

recordingStartDate
string | null

Recording start date

account
string | null

Account details

install
string | null

Install details

deployment
string | null

Deployment details

sessionReportCount
number | null

Session report count

series
string | null

Session series

reviewByDate
string | null

Review by date

reviewByUserSid
string | null

Review by user SID

reviewCompletedDate
string | null

Review completed date

reviewRequired
boolean | null

Review required

reviewCompleteNotificationUrl
string | null

Review complete notification URL

reviewed
boolean | null

Reviewed

proctorGroups
string | null

Proctor groups

URL
string | null

Session URL

examLocale
string | null

Exam locale

platformVersion
string | null

Platform version

systemCheckStartDate
string | null

System check start date

systemCheckEndDate
string | null

System check end date

modalityOptions
string | null

Modality options

exam
string | null

Exam details

enrollment
string | null

Enrollment details

course
string | null

Course details

examFile
string | null

Exam file

returnedFile
string | null

Returned file

photos
string | null

Photos

sessionInfo
string | null

Session info

auditStatus
string | null

Audit status

examConfiguration
string | null

Exam configuration

proctor
string | null

Proctor details

location
string | null

Location details

appointment
string | null

Appointment details

messagingConfirmations
string[] | null

Messaging confirmations

automated
string | null

Automated session data

interoadsProvisionedExamUrl
string | null

Interroads provisioned exam URL

proctorGroupSid
string | null

Proctor group SID

mandatoryRoomScanVideo
boolean | null

Mandatory room scan video

mutedAnnotations
string | null

Muted annotations